Package org.apache.sysds.runtime.frame.data.lib

# Class FrameFromMatrixBlock

java.lang.Object
org.apache.sysds.runtime.frame.data.lib.FrameFromMatrixBlock

public class FrameFromMatrixBlock extends Object

## Method Summary

Modifier and Type
Method
Description
`static FrameBlock`
`convertToFrameBlock(MatrixBlock mb, int k)`
`static FrameBlock`
`convertToFrameBlock(MatrixBlock mb, Types.ValueType[] schema, int k)`
`static FrameBlock`
`convertToFrameBlock(MatrixBlock mb, Types.ValueType vt, int k)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### convertToFrameBlock

public static FrameBlock convertToFrameBlock(MatrixBlock mb, int k)

### convertToFrameBlock

public static FrameBlock convertToFrameBlock(MatrixBlock mb, Types.ValueType vt, int k)

### convertToFrameBlock

public static FrameBlock convertToFrameBlock(MatrixBlock mb, Types.ValueType[] schema, int k)